#ifndef _armour_h_
#define _armour_h_
/*
 * File:    armour.h
 * Author:  Holger Klawitter
 * Date:    10.12.1998
 * Project: Cipher
 */

#include "Pilot.h"

/*
 * Transfoming a character sequence (with possible Zeros inside into
 * an ASCII Sequence.
 *
 * src - Char sequence to be transformed
 * n   - Number of valid characters in src. StrLen would not work.
 *
 * returns a new string with just the right size.
 */
Char* armour( Byte* src, int n );

/*
 * Generates a sequence of bytes (wkith possible Zeros inside).
 *
 * src - The Ascii sequence to generate the sequence from.
 *
 * returns a new byte sequence.
 * The length of the sequence is being written into *len
 */
Byte* deArmour( Char* src, Int* len );

#endif
