#ifndef _crypt_h_
#define _crypt_h_
/*
 * File:    crypt.h
 * Author:  Holger Klawitter
 * Date:    11.12.1998
 * Project: Cipher
 */

#include "Pilot.h"

// IDEA Specific Constants
#define INTERNAL_KEY_LENGTH 52
#define ROUNDS 8
#define BLOCK_SIZE 8
#define KEY_LENGTH 16

// Key scedule of length INTERNAL_KEY_LENGTH
extern Word* ks;

Char* encrypt( Char* key, Char* text, Boolean weakEncrypt );

/*
 * Decrypts an ASCII armoured text and returns the result.
 * key   - The key
 * aText - An encrypted ASCII armoured text.
 * weakEncrypt - uses old, weaker encryption scheme
 *
 * returns the decrypted text or NULL if the unarmouring or the
 *  decryption could identify the text as apparently not an
 *  encrypted or not matching to the key.
 */
Char* decrypt( Char* key, Char* aText, Boolean weakEncrypt );

Word mul( ULong a, ULong b );

Word inv( Long xx );

#endif
